package sikd.sikd5.sikd5bean.ws.transaksi;
// Generated Mar 6, 2019 10:58:36 AM by Hibernate Tools 4.3.1

import java.util.Date;

import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

@XmlRootElement
@XmlType(name = "pendapatanWS", propOrder = {
		"tahunanggaran",
		"kodesatker",
		"kodepemda",
		"namapemda",
		"kodekelompokurusan",
		"namakelompokurusan",
		"kodeurusan",
		"namaurusan",
		"kodeunitorganisasi",
		"namaunitorganisasi",
		"kodesubunitorganisasi",
		"namasubunitorganisasi",
		"kodeskpd",
		"namaskpd",
		"kodeprogram",
		"namaprogram",
		"kodekegiatan",
		"namakegiatan",
		"kodeakunutama",
		"namaakunutama",
		"kodeakunkelompok",
		"namaakunkelompok",
		"kodeakunjenis",
		"namaakunjenis",
		"kodeakunobjek",
		"namaakunobjek",
		"kodeakunrincian",
		"namaakunrincian",
		"nomorsts",
		"tanggalsts",
		"keterangan",
		"nilaists"
})
public class Pendapatan_WS implements java.io.Serializable {

	private Short tahunanggaran;
	private String kodesatker;
	private String kodepemda;
	private String namapemda;
	private String kodekelompokurusan;
	private String namakelompokurusan;
	private String kodeurusan;
	private String namaurusan;
	private String kodeunitorganisasi;
	private String namaunitorganisasi;
	private String kodesubunitorganisasi;
	private String namasubunitorganisasi;
	private String kodeskpd;
	private String namaskpd;
	private String kodeprogram;
	private String namaprogram;
	private String kodekegiatan;
	private String namakegiatan;
	private String kodeakunutama;
	private String namaakunutama;
	private String kodeakunkelompok;
	private String namaakunkelompok;
	private String kodeakunjenis;
	private String namaakunjenis;
	private String kodeakunobjek;
	private String namaakunobjek;
	private String kodeakunrincian;
	private String namaakunrincian;
	private String nomorsts;
	private Date tanggalsts;
	private String keterangan;
	private Double nilaists;

	public Pendapatan_WS() {
	}

	public Pendapatan_WS(String kodesatker, String kodepemda, String namapemda, String kodekelompokurusan,
			String namakelompokurusan, String kodeurusan, String namaurusan, String kodeunitorganisasi,
			String namaunitorganisasi, String kodesubunitorganisasi, String namasubunitorganisasi, String kodeskpd,
			String namaskpd, String kodeakunutama, String namaakunutama, String kodeakunkelompok,
			String namaakunkelompok, String kodeakunjenis, String namaakunjenis, String kodeakunobjek,
			String namaakunobjek, String kodeakunrincian, String namaakunrincian) {

		this.kodesatker = kodesatker;
		this.kodepemda = kodepemda;
		this.namapemda = namapemda;
		this.kodekelompokurusan = kodekelompokurusan;
		this.namakelompokurusan = namakelompokurusan;
		this.kodeurusan = kodeurusan;
		this.namaurusan = namaurusan;
		this.kodeunitorganisasi = kodeunitorganisasi;
		this.namaunitorganisasi = namaunitorganisasi;
		this.kodesubunitorganisasi = kodesubunitorganisasi;
		this.namasubunitorganisasi = namasubunitorganisasi;
		this.kodeskpd = kodeskpd;
		this.namaskpd = namaskpd;
		this.kodeakunutama = kodeakunutama;
		this.namaakunutama = namaakunutama;
		this.kodeakunkelompok = kodeakunkelompok;
		this.namaakunkelompok = namaakunkelompok;
		this.kodeakunjenis = kodeakunjenis;
		this.namaakunjenis = namaakunjenis;
		this.kodeakunobjek = kodeakunobjek;
		this.namaakunobjek = namaakunobjek;
		this.kodeakunrincian = kodeakunrincian;
		this.namaakunrincian = namaakunrincian;
	}

	public Pendapatan_WS(Short tahunanggaran, String kodesatker, String kodepemda, String namapemda,
			String kodekelompokurusan, String namakelompokurusan, String kodeurusan, String namaurusan,
			String kodeunitorganisasi, String namaunitorganisasi, String kodesubunitorganisasi,
			String namasubunitorganisasi, String kodeskpd, String namaskpd, String kodeprogram, String namaprogram,
			String kodekegiatan, String namakegiatan, String kodeakunutama, String namaakunutama,
			String kodeakunkelompok, String namaakunkelompok, String kodeakunjenis, String namaakunjenis,
			String kodeakunobjek, String namaakunobjek, String kodeakunrincian, String namaakunrincian, String nomorsts,
			Date tanggalsts, String keterangan, Double nilaists) {
		this.tahunanggaran = tahunanggaran;
		this.kodesatker = kodesatker;
		this.kodepemda = kodepemda;
		this.namapemda = namapemda;
		this.kodekelompokurusan = kodekelompokurusan;
		this.namakelompokurusan = namakelompokurusan;
		this.kodeurusan = kodeurusan;
		this.namaurusan = namaurusan;
		this.kodeunitorganisasi = kodeunitorganisasi;
		this.namaunitorganisasi = namaunitorganisasi;
		this.kodesubunitorganisasi = kodesubunitorganisasi;
		this.namasubunitorganisasi = namasubunitorganisasi;
		this.kodeskpd = kodeskpd;
		this.namaskpd = namaskpd;
		this.kodeprogram = kodeprogram;
		this.namaprogram = namaprogram;
		this.kodekegiatan = kodekegiatan;
		this.namakegiatan = namakegiatan;
		this.kodeakunutama = kodeakunutama;
		this.namaakunutama = namaakunutama;
		this.kodeakunkelompok = kodeakunkelompok;
		this.namaakunkelompok = namaakunkelompok;
		this.kodeakunjenis = kodeakunjenis;
		this.namaakunjenis = namaakunjenis;
		this.kodeakunobjek = kodeakunobjek;
		this.namaakunobjek = namaakunobjek;
		this.kodeakunrincian = kodeakunrincian;
		this.namaakunrincian = namaakunrincian;
		this.nomorsts = nomorsts;
		this.tanggalsts = tanggalsts;
		this.keterangan = keterangan;
		this.nilaists = nilaists;
	}

	public Short getTahunanggaran() {
		return this.tahunanggaran;
	}

	public void setTahunanggaran(Short tahunanggaran) {
		this.tahunanggaran = tahunanggaran;
	}

	public String getKodesatker() {
		return this.kodesatker;
	}

	public void setKodesatker(String kodesatker) {
		this.kodesatker = kodesatker;
	}

	public String getKodepemda() {
		return this.kodepemda;
	}

	public void setKodepemda(String kodepemda) {
		this.kodepemda = kodepemda;
	}

	public String getNamapemda() {
		return this.namapemda;
	}

	public void setNamapemda(String namapemda) {
		this.namapemda = namapemda;
	}

	public String getKodekelompokurusan() {
		return this.kodekelompokurusan;
	}

	public void setKodekelompokurusan(String kodekelompokurusan) {
		this.kodekelompokurusan = kodekelompokurusan;
	}

	public String getNamakelompokurusan() {
		return this.namakelompokurusan;
	}

	public void setNamakelompokurusan(String namakelompokurusan) {
		this.namakelompokurusan = namakelompokurusan;
	}

	public String getKodeurusan() {
		return this.kodeurusan;
	}

	public void setKodeurusan(String kodeurusan) {
		this.kodeurusan = kodeurusan;
	}

	public String getNamaurusan() {
		return this.namaurusan;
	}

	public void setNamaurusan(String namaurusan) {
		this.namaurusan = namaurusan;
	}

	public String getKodeunitorganisasi() {
		return this.kodeunitorganisasi;
	}

	public void setKodeunitorganisasi(String kodeunitorganisasi) {
		this.kodeunitorganisasi = kodeunitorganisasi;
	}

	public String getNamaunitorganisasi() {
		return this.namaunitorganisasi;
	}

	public void setNamaunitorganisasi(String namaunitorganisasi) {
		this.namaunitorganisasi = namaunitorganisasi;
	}

	public String getKodesubunitorganisasi() {
		return this.kodesubunitorganisasi;
	}

	public void setKodesubunitorganisasi(String kodesubunitorganisasi) {
		this.kodesubunitorganisasi = kodesubunitorganisasi;
	}

	public String getNamasubunitorganisasi() {
		return this.namasubunitorganisasi;
	}

	public void setNamasubunitorganisasi(String namasubunitorganisasi) {
		this.namasubunitorganisasi = namasubunitorganisasi;
	}

	public String getKodeskpd() {
		return this.kodeskpd;
	}

	public void setKodeskpd(String kodeskpd) {
		this.kodeskpd = kodeskpd;
	}

	public String getNamaskpd() {
		return this.namaskpd;
	}

	public void setNamaskpd(String namaskpd) {
		this.namaskpd = namaskpd;
	}

	public String getKodeprogram() {
		return this.kodeprogram;
	}

	public void setKodeprogram(String kodeprogram) {
		this.kodeprogram = kodeprogram;
	}

	public String getNamaprogram() {
		return this.namaprogram;
	}

	public void setNamaprogram(String namaprogram) {
		this.namaprogram = namaprogram;
	}

	public String getKodekegiatan() {
		return this.kodekegiatan;
	}

	public void setKodekegiatan(String kodekegiatan) {
		this.kodekegiatan = kodekegiatan;
	}

	public String getNamakegiatan() {
		return this.namakegiatan;
	}

	public void setNamakegiatan(String namakegiatan) {
		this.namakegiatan = namakegiatan;
	}

	public String getKodeakunutama() {
		return this.kodeakunutama;
	}

	public void setKodeakunutama(String kodeakunutama) {
		this.kodeakunutama = kodeakunutama;
	}

	public String getNamaakunutama() {
		return this.namaakunutama;
	}

	public void setNamaakunutama(String namaakunutama) {
		this.namaakunutama = namaakunutama;
	}

	public String getKodeakunkelompok() {
		return this.kodeakunkelompok;
	}

	public void setKodeakunkelompok(String kodeakunkelompok) {
		this.kodeakunkelompok = kodeakunkelompok;
	}

	public String getNamaakunkelompok() {
		return this.namaakunkelompok;
	}

	public void setNamaakunkelompok(String namaakunkelompok) {
		this.namaakunkelompok = namaakunkelompok;
	}

	public String getKodeakunjenis() {
		return this.kodeakunjenis;
	}

	public void setKodeakunjenis(String kodeakunjenis) {
		this.kodeakunjenis = kodeakunjenis;
	}

	public String getNamaakunjenis() {
		return this.namaakunjenis;
	}

	public void setNamaakunjenis(String namaakunjenis) {
		this.namaakunjenis = namaakunjenis;
	}

	public String getKodeakunobjek() {
		return this.kodeakunobjek;
	}

	public void setKodeakunobjek(String kodeakunobjek) {
		this.kodeakunobjek = kodeakunobjek;
	}

	public String getNamaakunobjek() {
		return this.namaakunobjek;
	}

	public void setNamaakunobjek(String namaakunobjek) {
		this.namaakunobjek = namaakunobjek;
	}

	public String getKodeakunrincian() {
		return this.kodeakunrincian;
	}

	public void setKodeakunrincian(String kodeakunrincian) {
		this.kodeakunrincian = kodeakunrincian;
	}

	public String getNamaakunrincian() {
		return this.namaakunrincian;
	}

	public void setNamaakunrincian(String namaakunrincian) {
		this.namaakunrincian = namaakunrincian;
	}

	public String getNomorsts() {
		return this.nomorsts;
	}

	public void setNomorsts(String nomorsts) {
		this.nomorsts = nomorsts;
	}

	public Date getTanggalsts() {
		return this.tanggalsts;
	}

	public void setTanggalsts(Date tanggalsts) {
		this.tanggalsts = tanggalsts;
	}

	public String getKeterangan() {
		return this.keterangan;
	}

	public void setKeterangan(String keterangan) {
		this.keterangan = keterangan;
	}

	public Double getNilaists() {
		return this.nilaists;
	}

	public void setNilaists(Double nilaists) {
		this.nilaists = nilaists;
	}

}
